TESTING/LIN/srzt01.f(3)

NAME
TESTING/LIN/srzt01.f

SYNOPSIS

  Functions/Subroutines
real function srzt01 (m, n, a, af, lda, tau, work, lwork)
SRZT01

Function/Subroutine Documentation

  real function srzt01 (integer m, integer n, real, dimension( lda, * ) a, real, dimension( lda, * ) af, integer lda, real, dimension( * ) tau, real, dimension( lwork ) work, integer lwork)

SRZT01

Purpose:

     SRZT01 returns
          || A - R*Q || / ( M * eps * ||A|| )
     for an upper trapezoidal A that was factored with STZRZF.

Parameters
    M

              M is INTEGER
              The number of rows of the matrices A and AF.

    N

              N is INTEGER
              The number of columns of the matrices A and AF.

    A

              A is REAL array, dimension (LDA,N)
              The original upper trapezoidal M by N matrix A.

    AF

              AF is REAL array, dimension (LDA,N)
              The output of STZRZF for input matrix A.
              The lower triangle is not referenced.

    LDA

              LDA is INTEGER
              The leading dimension of the arrays A and AF.

    TAU

              TAU is REAL array, dimension (M)
              Details of the Householder transformations as returned by
              STZRZF.

    WORK

              WORK is REAL array, dimension (LWORK)

    LWORK

              LWORK is INTEGER
              The length of the array WORK.  LWORK >= m*n + m*nb.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 96 of file srzt01.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.